Chuyển đến nội dung
Diễn đàn CADViet
  • Thông báo

    • Nguyen Hoanh

      CADViet đã hoàn tất nâng cấp   14/09/2017

      Chào các bạn, CADViet đã hoàn tất việc nâng cấp lên phiên bản mới. Tất cả các chức năng đã hoạt động theo kỳ vọng của ban quản trị. Nếu có vấn đề gì cần phản hồi, các bản post ở đây nhé: Trân trọng, Nguyễn Hoành.
Đăng nhập để thực hiện theo  
oizdoi_oi

list gạch chân chữ (lệnh GC)

Các bài được khuyến nghị

(defun c:GC ()

(setvar "cmdecho" 0)

(setq olderr *error* *error* myerror)

(prompt "\nHay chon dong TEXT !... ")

(prompt "\nSelect objects: ")

(command "select" "au" pause)

(setq sstxt (ssget "p")

sslen (sslength sstxt)

ctr 0

)

(command ".undo" "mark")

(while (< ctr sslen)

(setq listxt (entget (ssname sstxt ctr))

txttxt (cdr (assoc 1 listxt))

enttxt (cdr (assoc 0 listxt))

)

(if (= enttxt "TEXT")

(progn

(setq testxt (substr txttxt 1 3))

(if (or (= testxt "%%u") (= testxt "%%U"))

(setq newtxt (substr txttxt 4))

(setq newtxt (strcat "%%u" txttxt))

)

(setq listxt (subst (cons 1 newtxt) (assoc 1 listxt) listxt))

(entmod listxt)

)

)

(setq ctr (1+ ctr))

)

(setq *error* olderr)

(setvar "cmdecho" 1)

(princ)

)

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Lisp này của bác cũng hay đấy! Nhanh hơn cách bôi đen đoạn text và nhấn tổ hợp phím Ctrl+U. Nhưng e muốn đường gạch chân bên dưới đoạn text ko cùng màu với layer text, để khi in xuất bản vẽ đường gạch chân sẽ đậm hơn! Bác giúp e được chứ?

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Tạo một tài khoản hoặc đăng nhập để nhận xét

Bạn cần phải là một thành viên để lại một bình luận

Tạo tài khoản

Đăng ký một tài khoản mới trong cộng đồng của chúng tôi. Điều đó dễ mà.

Đăng ký tài khoản mới

Đăng nhập

Bạn có sẵn sàng để tạo một tài khoản ? Đăng nhập tại đây.

Đăng nhập ngay

Đăng nhập để thực hiện theo  

×